Welcome to Registry Repair Pro

Topic: Welcome

Welcome to the Windows Registry Repair Pro utility program - the ultimate Windows tool for optimizing and maintaining your Registry in peak condition.

As you use Windows, over time the Registry (which is a massive database of information about your computer, software and every user) becomes unnecessarily bloated and at times often corrupted, all because various programs fail to update and/or delete unneeded settings. This leads to longer startup times, slower performance and eventual failure of different hardware components, software or the Windows Operating system.

Used routinely, Windows Registry Repair Pro will allow you to optimize the Registry and maintain it in perfect condition - all with the click of a button! Through every step of the process, you remain completely in charge - Windows Registry Repair Pro will never make a single modification to your Registry without your permission! The program is so flexible; it even creates dated backup copies of the Registry, which allows you to restore an earlier version if needed.

For additional information on the Windows Registry, please review the Help file section on Understanding the Windows Registry.

© 2003-2004 3B Software - All Rights Reserved Worldwide


Understanding the Windows Registry

Topic: Understanding the Windows Registry

In order for the Windows operating system to properly manage all of the hardware and software it typically contains, Microsoft has employed the use of the Registry, a massive database of information about your computer. The Registry essentially replaces the Windows.ini and System.ini files found in earlier versions of Windows. The reason for this is to allow faster and more comprehensive retrieval of data about a given program, hardware component or user.

The Registry is divided into multiple sections that contain specific information about the computer, peripheral hardware, installed software and of course the currently logged on user. It combines all of this information into a dynamic database that allows Windows to operate properly based upon the current user's preferences.

Every time a new hardware component or software is installed, the Registry is typically updated to reflect this. In addition, many programs use the Registry to store configuration information about the program or a user's preferences. Unfortunately, over time, the Registry can grow to enormous proportions, especially if the various programs you've installed do not do a good job of deleting and/or updating its Registry entries.

The result of this, is that Windows will start more slowly, run slower and eventually, you may experience hardware and/or software failures. This can be very frustrating because, until now, the only reliable way to clean the Registry was to manually review and delete entries.

Obviously, it takes a very experienced user to understand the cause and effect of any changes made, hence many users are fearful of modifying the Registry. Given that the Registry tracks some rather complex values, a typical user's fear of the Registry is definitely warranted - change or delete the wrong value, and of course the entire system may fail or you could lose potentially valuable data or even worse, need to reformat and reinstall the Windows operating system and all of your third party software!

With the introduction of Windows Registry Repair Pro, you may put your fears to rest! We give you the ability to safely and automatically optimize the Registry to keep it in peak operating condition - without being concerned about causing irrecoverable damage! Windows Registry Repair Pro will guide you through this process using a "Wizard" style interface or GUI to help you identify and remove unneeded entries. The program always makes a backup copy of the original Registry before it is modified to allow you the ability to restore an earlier version if needed.

You no longer need to fear the Registry with Windows Registry Repair Pro, instead you can safely work with it and keep your computer in top shape!


Getting Started with Registry Repair Pro

Topic: Getting Started with Registry Repair Pro

Before working with Windows Registry Repair Pro, it is important that you review the help files and familiarize yourself with the GUI (Graphical User Interface).

This help system assumes that you are familiar with basic Window’s operations such as clicking buttons, selecting checkboxes, etc. Windows Registry Repair Pro closely follows all Windows standard operating conventions to minimize the time spent learning the program as well as to make your experience with Windows Registry Repair Pro as trouble free as possible.

The first time you launch the program, it is ready to go right "out of the box"! As shown in the image below, Windows Registry Repair Pro uses a "Wizard" style interface or GUI to help you easily navigate and use it's many features. On the main form, you'll select one of three possible actions and then click the Next button at the bottom of the form. At each step in the Wizard, you may click the Back button to return to the previous step if needed.

Each action is designed to perform a specific task with regards to the Registry as follows:

  • Scan the Registry for Errors - This action is actually the core feature of Windows Registry Repair Pro; it allows you to specify what items to look for and then scans the Registry for errors based on the selected items. Upon completing the scan, the user is presented with a list of potential Registry errors and is allowed to choose individual or group actions such as deleting all entries containing errors.

  • Restore a backup - Each time you run Scan the Registry for Errors, a dated backup copy of the original Registry is always created. This "fail safe" feature allows you to "revert" to a previous copy of the Registry in the event your computer experiences operating problems caused by other software or hardware components.

There is also the Advanced Settings section. There are a lot of useful features for the experienced users in this area.

In addition the following choices are available: clicking the 'About' button will display information about the program; clicking the 'Exit' button will terminate the program's execution and clicking the 'Help' button will launch this Help file.

Please review the Help file section on Using Windows Registry Repair Pro before proceeding - it contains detailed information regarding the program's use and operation.


Using Registry Repair Pro

Topic: Using Windows Registry Repair Pro

In a typical "out of the box" configuration, Windows Registry Repair Pro will scan, backup, clean and/or restore the Registry as you navigate the "Wizard" style interface or GUI. When the program is first launched, you're presented with one of two forms depending on the action of your last scan. If you previously scanned your Registry but had not Repaired it, the following Information screen is displayed:

In this case, the program is reminding you that you have uncorrected errors in the Registry. Clicking the Repair Now button is a shortcut to re-scan for errors and repair them. Clicking the Scan Now button will launch the GUI normally. Clicking Full Version will allow Trial Version users to visit the 3B Software website to purchase the Full Version of the program, and clicking Exit will close the program.

If now errors were previously found, or if the Scan Now button was clicked on the Information screen, the main form that contains the various actions you can take as shown in the screenshot below:

Each action is preceded by an option button - selecting a specific option button will "unselect" the others (only one action can be initiated at a time.) After selecting an action, click the Next button to move on to the next step required for that action. Windows Registry Repair Pro will guide you through each step to collect the information necessary to complete the selected action. During any step in the process, you may click the Back button to return to the previous step. Detailed below are the various steps involved to complete each action in the program:

SCAN THE REGISTRY FOR ERRORS

This is the core function of Windows Registry Repair Pro; this action will scan and clean the Registry to optimize it for you. To begin, select the Scan the Registry for Errors option and then click the Next button. The following step will be displayed:

Each item in the list is a checkbox that, when selected, will allow the program to search for the selected items. This list was carefully compiled based on common Registry errors that are experienced by all Windows users - we've "pre-selected" the most common ones that you will want to search for regularly.

Every item does explicitly what it's caption implies - for example, Invalid Paths will search every Registry entry that references a path or directory on your computer (i.e.; c:\windows) and then compare it with your hard drive to see if the path still exists. If not, it is flagged as an error and displayed in the results list.

Most often, the reason an invalid path exists is because a program was installed, used and uninstalled or deleted, but the Registry entry was not removed or updated to reflect this. The same holds true for all of the remaining items - as you use your computer you would be surprised how often this is occurring!

After making your selections, click the Next button and the program will begin scanning the Registry (see the screenshot below):

As the program is scanning the Registry, it's progress is displayed in the lower right part of the form. You may click the Cancel Scan button at any time to abort the scanning process. On the left side of the form you can see the current progress for each category of registry error. Clicking on an item (like Invalid Help Files or Invalid Shared DLLs) will open a corresponding list with all invalid registry entries found.

At this point, you need to decide which entries need to be fixed. Carefully look through the list and deselect the items that you do not want to correct. By default all entries that can be safely corrected are selected. In addition, you may choose a correction for selected invalid entry from the drop-down list of available corrections (see the screenshot below):

  • Default (No changes made) - This option, leaves the value "as is" in the Registry; in other words, no action is taken.

  • Delete Entry - This option will delete the selected value from the Registry when the Repair button is clicked.

  • Remove invalid substring - This option will only remove the link but not the registry key completely.

You can access more useful functions by right clicking on an invalid entry. Here is a list of all available functions:

  • Copy All to Clipboard - You can copy all the listed values into the clipboard and then have them pasted in a word processing program like MS Word.

  • Save All Registry Entries to a Text File... - You can use this to save a copy of the listed values to a text file for later reference; This will display an Explorer style dialog window for you to navigate to the correct folder to store the list and to provide a name for the file.

  • Print Registry Entries - Note that your system may contain a huge list of invalid entries, so printing may take a lot of paper. We recommend to save large lists as text files and then edit them in a text processor (decrease font size, split into columns, etc.) before printing.

  • Use RegEdit to open Registry key - This command runs the windows RegEdit utility and opens the selected Registry key.

  • Add Selected Entries to "error category" Excluded List - This command will add the registry keys of the selected entries into an excluded list. This will avoid finding those registry entries as invalid in the future scans.

After reviewing the list and changing any correction settings necessary, click the Repair button to continue. If changes are going to be made or values will be deleted, the next step (shown below) will prompt you to provide a name for the backup copy of the Registry:

Although you can provide any name you prefer, we recommend sticking with the default dated version - this will allow you to track revision histories easier. In addition, the number and types of changes being made will be listed on the form. Please, do a final review to ensure that you are ready to proceed with the cleaning. If so, click the Next button to actually clean the Registry - when the program has finished, it will display the following form:

Click the OK button to acknowledge the message and return to the Main form. Trial Users may click the Full Version button to visit the 3B Software website to purchase the full version.

Now that your Registry is fully optimized, you can exit the program by clicking the Finish or Exit buttons. We recommend performing a cleaning on a monthly basis to keep your Registry in peak operating condition!

RESTORE A BACKUP

Each time you scan and clean the Registry using Windows Registry Repair Pro, a dated backup copy of the Registry is made, in case you later realize that you deleted entries that were actually needed by other software/hardware components. To restore an earlier copy of the Registry select the Restore a backup option from the main form and then click the Next button. The following step will be displayed:

Each backup copy of the Registry is listed by the date it was made. To restore a backup, select the checkbox adjacent to the dated copy you wish to restore and then click the Next button.

After completing the restoration, the Wizard will display a status screen to indicate it's success/failure of restoring the Registry. Simply click the OK button and you will return to the main form.

In addition to restoring backups, you will find it desirable to delete older copies of the Registry, especially if you use the program frequently. To do so, select the checkbox adjacent to each copy you wish to delete and then click the Remove Selected Backup button. All of the selected backups will be deleted.

MISCELLANEOUS

Lastly, there are three additional buttons located at the bottom of the form that may be used as follows:

  1. About - This button launches the About form, which displays version and copyright information. You may also access your System Information from the About form.

  2. Exit - This button terminates the program and closes the window.

  3. Help - This button launches this Help file; the Help file may also be launched by pressing the F1 key on your keyboard.

We hope that you find the program useful in optimizing and maintaining the registry on your computer. If you should encounter any difficulties, please refer to the Technical Support section of the Help file. For more information on obtaining support for the program please go to the 3B Software website.


Advanced Settings

Topic: Advanced Settings

Windows Registry Repair Pro offers some customizable settings for advanced users:

  • Set Program Options - You can set the strings, paths and keys that the Windows Registry Repair Pro should ignore while scanning the registry.

SET PROGRAM OPTIONS

From time to time, more experienced users may find it desirable to "exclude" certain Drives, Folders and/or Files from being included in the scanning process. There are many reasons for this such as an older program that leaves incomplete entries in the Registry but are needed anyways - this advanced feature of Windows Registry Repair Pro allows you to define these exclusions and store them for future use. To do so, select Advanced Settings from the main form, then select Set Program Options and click the Next button. The following step will be displayed:

There are four possible configuration options available:

1. Excluded Strings - Clicking this button will display the Excluded Registry Strings list. This list of strings are excluded from the registry search for invalid/folder reference. Registry entries that contain any of these strings will be ignored and will not be shown as invalid. This means that if a registry entry contains a path like "F:\autorun\auto.exe" and the string "\autorun\auto" is in the excluded strings list, then Windows Registry Repair Pro will not check this registry entry for any error (it will skip this entry). The list is case insensitive.

This feature is useful to exclude CD-ROM, network or removable drive letters from finding them as "invalid" if they do not contain a media that a registry key is referenced to. For example, if your registry contains some references to files on a CD-ROM that currently is not in a drive and you do not want to remove those references from the registry then add your CD-ROM drive letter to the list. You may also add to the list, all your removable media drive letters. By default the excluded list is empty. So all links to files or folders on your removable drives will be found.

To add a string to the list, enter it in the edit box and press the Add button. To remove a string from the list, select it and press the Remove

button.

2. Paths - This allows you to search specific paths on your computer for registry corrections. You can add more than one path or all of your drives. This program will scan these paths (including subfolders). The list is case insensitive.

If you don't know where moved files might be located, just add all of your hard drives - C, D, etc. By default the list already contains all fixed drives. Note that depending on the size of the drives and number of files, scanning your disks may take a lot of time. Registry First Aid always scans selected folders including their subfolders. In most cases to speed up the process you might only add the Windows folder (e.g. "C:\Windows") and "C:\Program Files" folder. An overwhelming majority of invalid entries reside in these folders or directory paths.

Note 1: If the list contains upper-level folder path then you won't be able to add a subfolder (for example if the "C:\Windows\" folder is in the list, the subfolder "C:\Windows\Subfolder\" can not be added to the list). The reason for this that the program always scans folders with their subfolders automatically.

Note 2: You can set a list of paths excluded from the disks search. Please refer to Excluded Paths topic.

Adding paths or local hard drives to the search list is very easy. Click the Add button, browse for a path and click OK.

3. Excluded Paths - Adding paths to the exclusion list is very easy. Just click the Browse button, select a path and click OK or simply enter a whole path string into the edit box. Entered path string then can be edited and added into the exclusion list - click the Add button.

Note: If the list contains upper-level folder path then you won't be able to add a subfolder (for example if the "D:\Temp\" folder is in the list, the subfolder "D:\Temp\Subfolder\" can't be added into the list). The reason for this is that the program disables from scanning all folders with their subfolders.

Tip 1: To skip searching folders with the same name on all drives simply enter a folder name beginning and ending with "\". For example, to avoid searching for corrections in folders C:\Recycled, D:\Recycled, and so on, add the string \Recycled\ into the exclusion list.

Tip 2: Adding \Recycled\ into the exclusion list will exclude from the scan all folders containing \Recycled\ substring in their path: C:\games\Recycled\, E:\Temporary Internet Files\Recycled\, etc. To avoid this keep the ":" as the first character of excluded path: :\Recycled\.

4. Excluded Keys - You can define here registry entries that will be excluded from analyzing. To remove an entry from the list, select it and click the Remove button. To add an entry, first select which type of entry you want to add using the drop down menu, then click the Add button and lastly enter the new excluded registry string and press OK.

Entries that are in the Invalid path entries excluded list will be excluded from analyzing registry for invalid paths. The program will skip these registry entries. Entries from the Invalid font entries excluded list will be skipped while analyzing registry for invalid font references. And so on. Every registry problem category has its own excluded list. Some lists contain several default excluded entries.

If the program finds repeatedly the same entry as invalid or empty then the user can add it to one of the excluded lists. If you want to exclude some program entries from the ones that were found as invalid you can also add these entries into the excluded list. Usually you don't know exactly all program's registry entries that can be found as invalid. So, scan the registry and add to the excluded list those entries that belong to the program you want to exclude (using the right mouse click pop-up menu).

CAUTION: This feature is implemented with experienced users in mind; although using the feature will not damage the registry, it may prevent Registry Repair Pro from optimizing the Registry as well as it normally would. Given that, if you are not familiar with the Registry, we recommend leaving this area blank for now.

We hope that you find the program useful in optimizing and maintaining the registry on your computer. If you should encounter any difficulties, please refer to the Technical Support section of the Help file. For more information on obtaining support for the program please go to the 3B Software website.


Technical Support

Topic: Technical Support

3B Software provides technical support for it's entire line of software products. To request support, please visit our Technical Support page where you may submit your question via our online contact form.

Email Support directly: registryrepair@3bsoftware.com
Technical Support Fax: (214) 216-4001

To expedite response time, please include all contact information and any correspondence.

The 3B Software Technical Support staff will do their utmost to respond to your support request promptly!